declare const _default: {
    name: string;
    data: () => {
        eventSource: {
            new (url: string | URL, eventSourceInitDict?: EventSourceInit): EventSource;
            prototype: EventSource;
            readonly CLOSED: number;
            readonly CONNECTING: number;
            readonly OPEN: number;
        };
        countNotifications: number;
        notifications: any[];
    };
    mounted(): Promise<void>;
    methods: {
        connectToSSE(): void;
    };
    computed: {
        notificationList(): any;
    };
};
export default _default;
